Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class CommandLineOption

    java.lang.Object
      org.apache.axis2.util.CommandLineOption

All Implemented Interfaces:
  CommandLineOptionConstants

    public class CommandLineOption

extends java.lang.Object
implements CommandLineOptionConstants

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.util.CommandLineOptionConstants
`CommandLineOptionConstants.ExtensionArguments, CommandLineOptionConstants.WSDL2JavaConstants`

Field Summary

Fields inherited from interface org.apache.axis2.util.CommandLineOptionConstants
`SOLE_INPUT`

Constructor Summary
`CommandLineOption(java.lang.String type, java.util.ArrayList values)`
`CommandLineOption(java.lang.String type, java.lang.String[] values)`

Method Summary
`java.lang.String` | `getOptionType()`
`java.lang.String` | `getOptionValue()`
`java.util.ArrayList` | `getOptionValues()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLineOption

    public CommandLineOption(java.lang.String type,
                             java.lang.String[] values)

### CommandLineOption

    public CommandLineOption(java.lang.String type,
                             java.util.ArrayList values)

Parameters:
  `type` -

Method Detail

### getOptionType

    public java.lang.String getOptionType()

  Returns:
    Returns the type.
  See Also:
    `CommandLineOptionConstants`

### getOptionValue

    public java.lang.String getOptionValue()

  Returns:
    Returns the optionValues.

### getOptionValues

    public java.util.ArrayList getOptionValues()

  Returns:
    Returns the optionValues.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.